Ubuntu puede ser vulnerable a través de las memorias USB

El experto en seguridad John Larimer, del equipo X-Force de IBM, ha desvelado en la conferencia de “hackers” ShmooCon , que Linux Ubuntu no se libra de los ataques que se producen por medio de dispositivos USB.

Larimer descubrió que el problema estaba en un agujero del programa Evince, que permite la gestión de documentos en formatos como pdf, postscript, djvu, tiff y dvi, y se encarga de mostrar las vistas previas de los archivos de las memorias USB en Nautilus.

Básicamente, cuando Evince abre o muestra la vista en miniatura de algunos archivos DVI del dispositivo USB, se genera un “exploit” que el atacante podría utilizar para dejar el programa colgado o ejecutar código arbitrario con los privilegios de usuario.

El problema ya ha sido arreglado en las actualizaciones de las últimas versiones de Linux Ubuntu gracias al sistema de seguridad AppArmor, que permite aislar a los atacantes, pero Larimer ha señalado que los “hackers” podrían utilizar nuevos mecanismos para saltarse las barreras del S.O. y lograr sus objetivo.

La noticia prueba que por desgracia los equipos con Linux también son vulnerables ante los “exploits”, aunque conviene recordar que los ataques a gran escala sólo se producen en equipos con Windows.

Fuente:

The Inquirer

Comentarios
No hay ningún comentario aún. Sea usted el primero.